# TCL_DeleteInterp

delete TCL interpreter

## Calling Sequence

    TCL_DeleteInterp(interp)
                TCL_DeleteInterp()

## Arguments

interp

  character string parameter. Name of the slave tcl interpreter to delete. If not provided, it defaults to the main tcl interpreter created by Scilab.

## Description

This routine allows to delete a TCL slave interpreter or the main scilab TCL interpreter.

More information about Tcl/Tk: http://www.tcl.tk/doc/

## Examples

    TCL_SetVar("Scilab","OK")
    TCL_ExistVar("Scilab")
    TCL_DeleteInterp()
    TCL_ExistVar("Scilab")
    TCL_CreateSlave('BisInterp')
    TCL_ExistInterp('BisInterp')
    TCL_SetVar("Scilab","OK",'BisInterp')
    TCL_ExistVar("Scilab",'BisInterp')
    TCL_DeleteInterp('BisInterp')
    TCL_ExistInterp('BisInterp')

## See Also

- TCL_SetVar
- TCL_ExistVar
- TCL_CreateSlave
- TCL_ExistInterp